---
title: "Historical contract: Get Sites List"
description: "Historical Ordering.co API contract for GET /sites (Get Sites List), kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/get-sites-list/
---

# Historical contract: Get Sites List

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Get Sites List

This API endpoint is used to get all sites.

## Current API

For new integrations, use the linked current API reference or guide.

[Read the current guide](https://docs.ordering.co/api-reference/guides/sites-model/)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "params",
    "in": "query",
    "schema": {
      "type": "string",
      "default": "name,code"
    }
  },
  {
    "name": "limit",
    "in": "query",
    "schema": {
      "type": "integer",
      "format": "int32"
    }
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": [\n    {\n      \"id\": 1,\n      \"name\": \"<redacted-personal>\",\n      \"description\": null,\n      \"code\": \"android\",\n      \"url\": null,\n      \"logo\": null,\n      \"header\": null,\n      \"social_share\": null,\n      \"reset_password_url_template\": null,\n      \"track_order_url_template\": null,\n      \"checkout_url_template\": null,\n      \"cart_url_template\": null,\n      \"business_url_template\": null,\n      \"category_url_template\": null,\n      \"product_url_template\": null,\n      \"profile_url_template\": null,\n      \"created_at\": null,\n      \"updated_at\": null,\n      \"deleted_at\": null\n    },\n    {\n      \"id\": 2,\n      \"name\": \"<redacted-personal>\",\n      \"description\": null,\n      \"code\": \"callcenter\",\n      \"url\": \"<redacted-url>\",\n      \"logo\": \"<redacted-url>\",\n      \"header\": \"\",\n      \"social_share\": \"\",\n      \"reset_password_url_template\": \"<redacted-secret>\",\n      \"track_order_url_template\": null,\n      \"checkout_url_template\": null,\n      \"cart_url_template\": null,\n      \"business_url_template\": null,\n      \"category_url_template\": null,\n      \"product_url_template\": null,\n      \"profile_url_template\": null,\n      \"created_at\": null,\n      \"updated_at\": null,\n      \"deleted_at\": null\n    },\n    {\n      \"id\": 3,\n      \"name\": \"<redacted-personal>\",\n      \"description\": null,\n      \"code\": \"website\",\n      \"url\": \"https://example.com/\",\n      \"logo\": \"<redacted-url>\",\n      \"header\": \"\",\n      \"social_share\": \"\",\n      \"reset_password_url_template\": \"<redacted-secret>\",\n      \"track_order_url_template\": null,\n      \"checkout_url_template\": null,\n      \"cart_url_template\": null,\n      \"business_url_template\": null,\n      \"category_url_template\": null,\n      \"product_url_template\": null,\n      \"profile_url_template\": null,\n      \"created_at\": null,\n      \"updated_at\": null,\n      \"deleted_at\": null\n    },\n    {\n      \"id\": 4,\n      \"name\": \"<redacted-personal>\",\n      \"description\": null,\n      \"code\": \"ios\",\n      \"url\": null,\n      \"logo\": null,\n      \"header\": null,\n      \"social_share\": null,\n      \"reset_password_url_template\": null,\n      \"track_order_url_template\": null,\n      \"checkout_url_template\": null,\n      \"cart_url_template\": null,\n      \"business_url_template\": null,\n      \"category_url_template\": null,\n      \"product_url_template\": null,\n      \"profile_url_template\": null,\n      \"created_at\": null,\n      \"updated_at\": null,\n      \"deleted_at\": null\n    },\n    {\n      \"id\": 5,\n      \"name\": \"<redacted-personal>\",\n      \"description\": null,\n      \"code\": \"orderingapp\",\n      \"url\": null,\n      \"logo\": null,\n      \"header\": null,\n      \"social_share\": null,\n      \"reset_password_url_template\": null,\n      \"track_order_url_template\": null,\n      \"checkout_url_template\": null,\n      \"cart_url_template\": null,\n      \"business_url_template\": null,\n      \"category_url_template\": null,\n      \"product_url_template\": null,\n      \"profile_url_template\": null,\n      \"created_at\": null,\n      \"updated_at\": null,\n      \"deleted_at\": null\n    }\n  ],\n  \"pagination\": {\n    \"total\": 5,\n    \"from\": 1,\n    \"to\": 5,\n    \"current_page\": 1,\n    \"page_size\": 5,\n    \"total_pages\": 1,\n    \"fisrt_page\": null,\n    \"back_page\": null,\n    \"next_page\": null,\n    \"last_page\": null\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer",
                    "example": 1,
                    "default": 0
                  },
                  "name": {
                    "type": "string",
                    "example": "<redacted-personal>"
                  },
                  "description": {},
                  "code": {
                    "type": "string",
                    "example": "android"
                  },
                  "url": {},
                  "logo": {},
                  "header": {},
                  "social_share": {},
                  "reset_password_url_template": {},
                  "track_order_url_template": {},
                  "checkout_url_template": {},
                  "cart_url_template": {},
                  "business_url_template": {},
                  "category_url_template": {},
                  "product_url_template": {},
                  "profile_url_template": {},
                  "created_at": {},
                  "updated_at": {},
                  "deleted_at": {}
                }
              }
            },
            "pagination": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "example": 5,
                  "default": 0
                },
                "from": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "to": {
                  "type": "integer",
                  "example": 5,
                  "default": 0
                },
                "current_page": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "page_size": {
                  "type": "integer",
                  "example": 5,
                  "default": 0
                },
                "total_pages": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "fisrt_page": {},
                "back_page": {},
                "next_page": {},
                "last_page": {}
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
